# vim: set sw=3 ts=3 noet:
#
# spec file for package rtmpdump
#

Name:           rtmpdump
Version:        2.4.git20121102
Release:        1.1
License:        GPL-2.0
%define soname 0
Summary:        RTMP Stream Dumper
Url:            http://rtmpdump.mplayerhq.hu/
Group:          Productivity/Networking/Other
Source:         rtmpdump-%{version}.tar.bz2
Patch1:         rtmpdump-fix_u32.patch
Source99:       rtmpdump-rpmlintrc
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  make
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig
BuildRequires:  zlib-devel
Requires:       librtmp%{soname} = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A small dumper for media content streamed over the RTMP protocol (like BBC's
iPlayer high quality streams). Supplying an rtmp url will result in a dumped
flv file, which can be played/transcoded using ffmpeg/mplayer, etc.

%package -n librtmp%{soname}
Summary:        RTMP Stream Dumper Library
Group:          System/Libraries

%description -n librtmp%{soname}
A small dumper for media content streamed over the RTMP protocol (like BBC's
iPlayer high quality streams). Supplying an rtmp url will result in a dumped
flv file, which can be played/transcoded using ffmpeg/mplayer, etc.

%package -n rtmpsuck
Summary:        RTMP Transparent Proxy Server
Group:          Productivity/Networking/Other
Requires:       librtmp%{soname} = %{version}

%description -n rtmpsuck
Proxy server that dumps RTMP streams.

%package -n rtmpsrv
Summary:        RTMP Server
Group:          Productivity/Networking/Other
Requires:       librtmp%{soname} = %{version}

%description -n rtmpsrv
Server for RTMP streams.

%package -n rtmpgw
Summary:        RTMP to HTTP Gateway
Group:          Productivity/Networking/Other
Requires:       librtmp%{soname} = %{version}
Obsoletes:      streams < %{version}
Provides:       streams = %{version}

%description -n rtmpgw
HTTP gateway: this is an HTTP server that accepts requests that consist of
rtmpdump parameters. It then connects to the specified RTMP server and returns
the retrieved data in the HTTP response.

%package -n librtmp-devel
Summary:        RTMP Stream Dumping Library
Group:          Development/Libraries/C and C++
%if 0%{?suse_version} >= 1030
Requires:       libopenssl-devel
%else
Requires:       openssl-devel
%endif
Requires:       librtmp%{soname} = %{version}

%description -n librtmp-devel
A small dumper for media content streamed over the RTMP protocol (like BBC's
iPlayer high quality streams). Supplying an rtmp url will result in a dumped
flv file, which can be played/transcoded using ffmpeg/mplayer, etc.

%prep
%setup -q
%patch1

%build
make \
	 CC="gcc" \
	 OPT="%{optflags}" \
	 prefix="%{_prefix}" \
	 libdir="%{_libdir}" \
	 MANDIR="%{_mandir}"

make -C librtmp \
	 CC="gcc" \
	 OPT="%{optflags}" \
	 prefix="%{_prefix}" \
	 libdir="%{_libdir}" \
	 MANDIR="%{_mandir}" \
	 librtmp.pc

%install
install -d "%{buildroot}%{_bindir}"
find . -mindepth 1 -maxdepth 1 -type f -executable -exec install -m0755 {} "%{buildroot}%{_bindir}/" \;

pushd librtmp
install -d "%{buildroot}%{_includedir}/librtmp" "%{buildroot}%{_libdir}" "%{buildroot}%{_libdir}/pkgconfig"
make \
	 prefix="%{buildroot}%{_prefix}" \
	 libdir="%{buildroot}%{_libdir}" \
	 INCDIR="%{buildroot}%{_includedir}/librtmp" \
	 MANDIR="%{buildroot}%{_mandir}" \
	 install
popd #librtmp

%post   -n librtmp%{soname} -p /sbin/ldconfig
%postun -n librtmp%{soname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README ChangeLog COPYING
%{_bindir}/rtmpdump

%files -n librtmp%{soname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/librtmp.so.%{soname}

%files -n rtmpsuck
%defattr(-,root,root)
%doc README ChangeLog COPYING
%{_bindir}/rtmpsuck

%files -n rtmpgw
%defattr(-,root,root)
%doc README ChangeLog COPYING
%{_bindir}/rtmpgw

%files -n rtmpsrv
%defattr(-,root,root)
%doc README ChangeLog COPYING
%{_bindir}/rtmpsrv

%files -n librtmp-devel
%defattr(-,root,root)
%{_includedir}/librtmp
%{_libdir}/librtmp.so
%{_libdir}/librtmp.a
%{_libdir}/pkgconfig/librtmp.pc
%doc %{_mandir}/man3/librtmp.3%{ext_man}

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:

%changelog
* Thu Nov  1 2012 i@margueirte.su
- update to 2.4.git20121102.
  * Aside from various minor bugfixes since 2.3, RTMPE type 9 handshakes
    are now supported.
* Thu Dec 15 2011 ismail@namtrac.org
- Update to latest git as of 14.11.2011
  * Fix getting swf hash with https URLs
  * Fix bytes-received report
- Cleanup spec file
* Thu Jul 28 2011 idoenmez@suse.de
- Update to latest git as of 28.07.2011
  * Add RTMPE type 9 handshake signature
* Mon May 23 2011 idoenmez@suse.de
- Update to latest git as of 23.05.2011
* Fri Nov 12 2010 pascal.bleser@opensuse.org
- new librtmp0 subpackage
- update to 2.3:
  * add RTMP_Socket() and RTMP_Pause() APIs
  * add ping/pong message handling
  * add basic shared library support
  * fix rtmpsrv to always use .flv extension on output
  * fix crash on socket failure while RTMP_Read() is reading header
  * fix RTMP_SetupURL tcUrl generation
  * ignore multiple spaces between URL options
* Mon Jun 28 2010 pascal@links2linux.de
- fix include path, thanks to Carl Eugen Hoyos for pointing that out
- add missing Requires:libopenssl-devel in librtmp-devel
* Fri Jun 25 2010 pascal@links2linux.de
- update to 2.2e:
  * add explicit URL scheme for rtmpts
  * fix rtmpt clientID NUL-termination
  * add librtmp manpage
  * fix RTMP_Read, return 0 on EOF, not -1
  * change RTMP_Read to return 1 packet at a time, fix buffer mgmt
  * fix request/result queue, fix server compatibility for Publishing
  * add RTMP_EnableWrite to enable Publishing
- changes from 2.2d:
  * add RTMP_Alloc, RTMP_Free APIs
  * tweak handshake offset checking
  * add RTMP set_playlist command
  * check for (and fix) broken timestamps in FLV packets
  * fix tcUrl and playpath parsing in rtmpsrv and rtmpsuck
  * change internal boolean flags to bitmasks
- changes from 2.2c:
  * add RTMP_SetupURL, RTMP_SetOpt APIs
  * add logging callback
* Sat Apr  3 2010 pascal.bleser@opensuse.org
- streams subpackage renamed to rtmpgw to reflect the new name of the binary in that package
- update to 2.2b:
  * fix v2.2a crashes in rtmpsrv/rtmpsuck
  * fix typo for --auth parameter in manpages
  * add FP10 handshake support for rtmpsrv/rtmpsuck
- changes from 2.2a:
  * fix C++ compatibility for librtmp
  * add client support for tunneling: rtmpt, rtmpte, rtmps
  * fix rtmpdump/rtmpgw FLV header dataType
  * implement RTMP_Read() and RTMP_Write() to simplify library use
  * fix SendPacket timestamps
  * add optional support for GnuTLS/Gcrypt instead of OpenSSL
* Tue Jan  5 2010 pascal.bleser@opensuse.org
- update to 2.1b
* Fri Apr  3 2009 pascal.bleser@opensuse.org
- update to 1.4
* Mon Jan  5 2009 guru@unixtech.be
- new package
